<?xml version="1.0" encoding="UTF-8"?>
<%@ page language="java"
%><%@ page contentType="text/xml"
%><%@ page import="xxas.oracle.apps.xxas.com.ServiceManager"
%><%! public static final String SVN_ID = "$Id$";
%><%
  // Force character encoding to UTF8
  request.setCharacterEncoding("UTF-8");
  
// Commented out because cache expiration headers cause Flex in IE6 to
// bomb out when on HTTPS.
// response.setHeader("Cache-Control", "no-cache"); //HTTP 1.1
// response.setHeader("Pragma", "no-cache"); //HTTP 1.0
// response.setDateHeader("Expires", 0); //prevents caching at the proxy server
%><%

  // Instantiate a new service manager
  ServiceManager srvMgr = new ServiceManager();

  // Invoke the service
  String outputStr = srvMgr.invokeBlobUpdate(request, response);

  // Set the MIME Type
  String mimeType = srvMgr.getMimeType();
  if (mimeType != null)
    response.setContentType(mimeType);

%><%=outputStr%>

